/***************************************************************************
**
**    $Header$
**
**    $Log$
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//
//  File name:  DSMEDIT1.H
//
//  Description:The header file for the class: CDsmEdit1
//
//  Author:     Lane Li
//
//  Date:       09/10/95
//
//  Modification:
//
//      1. 09/10/95, Initial version
//
//
//  Copyright (C) 1995 Microtek International. All rights reserved.
//
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// CDsmEdit1 dialog

class CDsmEdit1 : public CDialog
{
// Construction
public:
	CDsmEdit1(CWnd* pParent = NULL);	// standard constructor
	DWORD m_dwAddress;
	WORD m_wSpaceType;
	CWnd* m_pParent;

// Dialog Data
	//{{AFX_DATA(CDsmEdit1)
	enum { IDD = IDD_DSMEDIT1 };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CDsmEdit1)
	virtual BOOL OnInitDialog();
	afx_msg void OnDsmedit1Button1();
	afx_msg void OnDsmedit1Button2();
	afx_msg void OnDsmedit1Button3();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
